Subject: Re: [PATCH v2 00/15] reftable: drop generic `reftable_table` interface

From: Patrick Steinhardt <[email-masked]>
Date: Wed, 14 Aug 2024 15:31:54 +0200

On Wed, Aug 14, 2024 at 03:22:36PM +0200, Patrick Steinhardt wrote:
> Hi,
> 
> this is the second version of my patch series that gets rid of the
> generic `reftable_table` interface. It made it way harder to understand
> the reftable code base and is not really required nowadays anymore where
> we have generic re-seekable reftable iterators.
> 
> Changes compared to v1:
> 
>   - Fix some commit message typos.
> 
>   - Remove some braces while at it.
> 
>   - Drop the "-c" switch from the test-tool's help output.
> 
>   - Restore printing-related functionality, but move all of it into the
>     test-helper. It has no reason to exist in the reftable library.
> 
> Thanks!

Oops, forgot to link this to v1, sorry! You can find it at [1].

Patrick

[1]: https://lore.kernel.org/git/[email-masked]/